/*
 * Copyright (C) 2004 emuWorks
 * http://games.technoplaza.net/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package chtdecoder.exceptions;

/**
 * Thrown to indicate an error while reading a .CHT file.
 *
 * @author John David Ratliff
 * @version 1.1, 09/14/04
 */
public class CHTFileException extends RuntimeException {
    /**
     * Creates a new CHTFileException object.
     */
    public CHTFileException() {
    }

    /**
     * Creates a new CHTFileException object with an embedded error message.
     *
     * @param message The error message.
     */
    public CHTFileException(String message) {
        super(message);
    }

    /**
     * Returns a String representation of this Exception.
     *
     * @return A String representation.
     */
    public String toString() {
        if (getMessage().length() > 0) {
            return "CHTFileException: " + getMessage();
        }

        return "CHTFileException";
    }
}
